Subject: Re: [MAINTAINERS SUMMIT] Device Passthrough Considered Harmful?

From: Jonathan Cameron <[email-masked]>
Date: Mon, 29 Jul 2024 15:29:43 +0100

On Mon, 29 Jul 2024 15:38:39 +0200
Borislav Petkov <[email-masked]> wrote:

> On Mon, Jul 29, 2024 at 01:45:12PM +0100, Jonathan Cameron wrote:
> > One of the key bits of feedback we've had on that series is that it
> > should be integrated with EDAC.  Part of the reason being need to get
> > appropriate RAS expert review.  
> 
> If you mean me with that, my only question back then was: if you're going to
> integrate it somewhere and instead of defining something completely new - you
> can simply reuse what's there. That's why I suggested EDAC.

Ah fair enough. I'd taken stronger meaning from what you said than
you intended. Thanks for the clarification.

> 
> IOW, the question becomes, why should it be a completely new thing and not
> part of EDAC?

So that particular feedback perhaps doesn't apply here.

I still have a concern with things ending up in fwctl that
are later generalized and how that process can happen.

Jonathan